Constants (SQLite Java Wrapper)
Keywords: SQLite.Constants class

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SQLite
Class Constants

    java.lang.Object
      SQLite.Constants

public final class Constants
extends Object

Container for SQLite constants.

Field Summary
`static int` | `drv_minor`
`static int` | `SQLITE_ABORT`
`static int` | `SQLITE_ARGS`
`static int` | `SQLITE_ATTACH`
`static int` | `SQLITE_AUTH`
`static int` | `SQLITE_BLOB`
`static int` | `SQLITE_BUSY`
`static int` | `SQLITE_CANTOPEN`
`static int` | `SQLITE_CONSTRAINT`
`static int` | `SQLITE_COPY`
`static int` | `SQLITE_CORRUPT`
`static int` | `SQLITE_CREATE_INDEX`
`static int` | `SQLITE_CREATE_TABLE`
`static int` | `SQLITE_CREATE_TEMP_INDEX`
`static int` | `SQLITE_CREATE_TEMP_TABLE`
`static int` | `SQLITE_CREATE_TEMP_TRIGGER`
`static int` | `SQLITE_CREATE_TEMP_VIEW`
`static int` | `SQLITE_CREATE_TRIGGER`
`static int` | `SQLITE_CREATE_VIEW`
`static int` | `SQLITE_DBSTATUS_CACHE_USED`
`static int` | `SQLITE_DBSTATUS_LOOKASIDE_USED`
`static int` | `SQLITE_DELETE`
`static int` | `SQLITE_DENY`
`static int` | `SQLITE_DETACH`
`static int` | `SQLITE_DONE`
`static int` | `SQLITE_DROP_INDEX`
`static int` | `SQLITE_DROP_TABLE`
`static int` | `SQLITE_DROP_TEMP_INDEX`
`static int` | `SQLITE_DROP_TEMP_TABLE`
`static int` | `SQLITE_DROP_TEMP_TRIGGER`
`static int` | `SQLITE_DROP_TEMP_VIEW`
`static int` | `SQLITE_DROP_TRIGGER`
`static int` | `SQLITE_DROP_VIEW`
`static int` | `SQLITE_EMPTY`
`static int` | `SQLITE_ERROR`
`static int` | `SQLITE_FLOAT`
`static int` | `SQLITE_FORMAT`
`static int` | `SQLITE_FULL`
`static int` | `SQLITE_IGNORE`
`static int` | `SQLITE_INSERT`
`static int` | `SQLITE_INTEGER`
`static int` | `SQLITE_INTERNAL`
`static int` | `SQLITE_INTERRUPT`
`static int` | `SQLITE_IOERR`
`static int` | `SQLITE_LOCKED`
`static int` | `SQLITE_MISMATCH`
`static int` | `SQLITE_MISUSE`
`static int` | `SQLITE_NOLFS`
`static int` | `SQLITE_NOMEM`
`static int` | `SQLITE_NOTADB`
`static int` | `SQLITE_NOTFOUND`
`static int` | `SQLITE_NULL`
`static int` | `SQLITE_NUMERIC`
`static int` | `SQLITE_OK`
`static int` | `SQLITE_OPEN_CREATE`
`static int` | `SQLITE_OPEN_FULLMUTEX`
`static int` | `SQLITE_OPEN_NOMUTEX`
`static int` | `SQLITE_OPEN_READONLY`
`static int` | `SQLITE_OPEN_READWRITE`
`static int` | `SQLITE_PERM`
`static int` | `SQLITE_PRAGMA`
`static int` | `SQLITE_PROTOCOL`
`static int` | `SQLITE_RANGE`
`static int` | `SQLITE_READ`
`static int` | `SQLITE_READONLY`
`static int` | `SQLITE_ROW`
`static int` | `SQLITE_SCHEMA`
`static int` | `SQLITE_SELECT`
`static int` | `SQLITE_STATUS_MALLOC_SIZE`
`static int` | `SQLITE_STATUS_MEMORY`
`static int` | `SQLITE_STATUS_PAGECACHE_OVERFLOW`
`static int` | `SQLITE_STATUS_PAGECACHE_SIZE`
`static int` | `SQLITE_STATUS_PAGECACHE_USED`
`static int` | `SQLITE_STATUS_PARSER_STACK`
`static int` | `SQLITE_STATUS_SCRATCH_OVERFLOW`
`static int` | `SQLITE_STATUS_SCRATCH_SIZE`
`static int` | `SQLITE_STATUS_SCRATCH_USED`
`static int` | `SQLITE_STMTSTATUS_AUTOINDEX`
`static int` | `SQLITE_STMTSTATUS_FULLSCAN_STEP`
`static int` | `SQLITE_STMTSTATUS_SORT`
`static int` | `SQLITE_TEXT`
`static int` | `SQLITE_TOOBIG`
`static int` | `SQLITE_TRANSACTION`
`static int` | `SQLITE_UPDATE`
`static int` | `SQLITE2_TEXT`
`static int` | `SQLITE3_TEXT`

Constructor Summary
`Constants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### drv_minor

    public static final int drv_minor

See Also:
  Constant Field Values

### SQLITE_ABORT

    public static final int SQLITE_ABORT

See Also:
  Constant Field Values

### SQLITE_ARGS

    public static final int SQLITE_ARGS

See Also:
  Constant Field Values

### SQLITE_ATTACH

    public static final int SQLITE_ATTACH

See Also:
  Constant Field Values

### SQLITE_AUTH

    public static final int SQLITE_AUTH

See Also:
  Constant Field Values

### SQLITE_BLOB

    public static final int SQLITE_BLOB

See Also:
  Constant Field Values

### SQLITE_BUSY

    public static final int SQLITE_BUSY

See Also:
  Constant Field Values

### SQLITE_CANTOPEN

    public static final int SQLITE_CANTOPEN

See Also:
  Constant Field Values

### SQLITE_CONSTRAINT

    public static final int SQLITE_CONSTRAINT

See Also:
  Constant Field Values

### SQLITE_COPY

    public static final int SQLITE_COPY

See Also:
  Constant Field Values

### SQLITE_CORRUPT

    public static final int SQLITE_CORRUPT

See Also:
  Constant Field Values

### SQLITE_CREATE_INDEX

    public static final int SQLITE_CREATE_INDEX

See Also:
  Constant Field Values

### SQLITE_CREATE_TABLE

    public static final int SQLITE_CREATE_TABLE

See Also:
  Constant Field Values

### SQLITE_CREATE_TEMP_INDEX

    public static final int SQLITE_CREATE_TEMP_INDEX

See Also:
  Constant Field Values

### SQLITE_CREATE_TEMP_TABLE

    public static final int SQLITE_CREATE_TEMP_TABLE

See Also:
  Constant Field Values

### SQLITE_CREATE_TEMP_TRIGGER

    public static final int SQLITE_CREATE_TEMP_TRIGGER

See Also:
  Constant Field Values

### SQLITE_CREATE_TEMP_VIEW

    public static final int SQLITE_CREATE_TEMP_VIEW

See Also:
  Constant Field Values

### SQLITE_CREATE_TRIGGER

    public static final int SQLITE_CREATE_TRIGGER

See Also:
  Constant Field Values

### SQLITE_CREATE_VIEW

    public static final int SQLITE_CREATE_VIEW

See Also:
  Constant Field Values

### SQLITE_DBSTATUS_CACHE_USED

    public static final int SQLITE_DBSTATUS_CACHE_USED

See Also:
  Constant Field Values

### SQLITE_DBSTATUS_LOOKASIDE_USED

    public static final int SQLITE_DBSTATUS_LOOKASIDE_USED

See Also:
  Constant Field Values

### SQLITE_DELETE

    public static final int SQLITE_DELETE

See Also:
  Constant Field Values

### SQLITE_DENY

    public static final int SQLITE_DENY

See Also:
  Constant Field Values

### SQLITE_DETACH

    public static final int SQLITE_DETACH

See Also:
  Constant Field Values

### SQLITE_DONE

    public static final int SQLITE_DONE

See Also:
  Constant Field Values

### SQLITE_DROP_INDEX

    public static final int SQLITE_DROP_INDEX

See Also:
  Constant Field Values

### SQLITE_DROP_TABLE

    public static final int SQLITE_DROP_TABLE

See Also:
  Constant Field Values

### SQLITE_DROP_TEMP_INDEX

    public static final int SQLITE_DROP_TEMP_INDEX

See Also:
  Constant Field Values

### SQLITE_DROP_TEMP_TABLE

    public static final int SQLITE_DROP_TEMP_TABLE

See Also:
  Constant Field Values

### SQLITE_DROP_TEMP_TRIGGER

    public static final int SQLITE_DROP_TEMP_TRIGGER

See Also:
  Constant Field Values

### SQLITE_DROP_TEMP_VIEW

    public static final int SQLITE_DROP_TEMP_VIEW

See Also:
  Constant Field Values

### SQLITE_DROP_TRIGGER

    public static final int SQLITE_DROP_TRIGGER

See Also:
  Constant Field Values

### SQLITE_DROP_VIEW

    public static final int SQLITE_DROP_VIEW

See Also:
  Constant Field Values

### SQLITE_EMPTY

    public static final int SQLITE_EMPTY

See Also:
  Constant Field Values

### SQLITE_ERROR

    public static final int SQLITE_ERROR

See Also:
  Constant Field Values

### SQLITE_FLOAT

    public static final int SQLITE_FLOAT

See Also:
  Constant Field Values

### SQLITE_FORMAT

    public static final int SQLITE_FORMAT

See Also:
  Constant Field Values

### SQLITE_FULL

    public static final int SQLITE_FULL

See Also:
  Constant Field Values

### SQLITE_IGNORE

    public static final int SQLITE_IGNORE

See Also:
  Constant Field Values

### SQLITE_INSERT

    public static final int SQLITE_INSERT

See Also:
  Constant Field Values

### SQLITE_INTEGER

    public static final int SQLITE_INTEGER

See Also:
  Constant Field Values

### SQLITE_INTERNAL

    public static final int SQLITE_INTERNAL

See Also:
  Constant Field Values

### SQLITE_INTERRUPT

    public static final int SQLITE_INTERRUPT

See Also:
  Constant Field Values

### SQLITE_IOERR

    public static final int SQLITE_IOERR

See Also:
  Constant Field Values

### SQLITE_LOCKED

    public static final int SQLITE_LOCKED

See Also:
  Constant Field Values

### SQLITE_MISMATCH

    public static final int SQLITE_MISMATCH

See Also:
  Constant Field Values

### SQLITE_MISUSE

    public static final int SQLITE_MISUSE

See Also:
  Constant Field Values

### SQLITE_NOLFS

    public static final int SQLITE_NOLFS

See Also:
  Constant Field Values

### SQLITE_NOMEM

    public static final int SQLITE_NOMEM

See Also:
  Constant Field Values

### SQLITE_NOTADB

    public static final int SQLITE_NOTADB

See Also:
  Constant Field Values

### SQLITE_NOTFOUND

    public static final int SQLITE_NOTFOUND

See Also:
  Constant Field Values

### SQLITE_NULL

    public static final int SQLITE_NULL

See Also:
  Constant Field Values

### SQLITE_NUMERIC

    public static final int SQLITE_NUMERIC

See Also:
  Constant Field Values

### SQLITE_OK

    public static final int SQLITE_OK

See Also:
  Constant Field Values

### SQLITE_OPEN_CREATE

    public static final int SQLITE_OPEN_CREATE

See Also:
  Constant Field Values

### SQLITE_OPEN_FULLMUTEX

    public static final int SQLITE_OPEN_FULLMUTEX

See Also:
  Constant Field Values

### SQLITE_OPEN_NOMUTEX

    public static final int SQLITE_OPEN_NOMUTEX

See Also:
  Constant Field Values

### SQLITE_OPEN_READONLY

    public static final int SQLITE_OPEN_READONLY

See Also:
  Constant Field Values

### SQLITE_OPEN_READWRITE

    public static final int SQLITE_OPEN_READWRITE

See Also:
  Constant Field Values

### SQLITE_PERM

    public static final int SQLITE_PERM

See Also:
  Constant Field Values

### SQLITE_PRAGMA

    public static final int SQLITE_PRAGMA

See Also:
  Constant Field Values

### SQLITE_PROTOCOL

    public static final int SQLITE_PROTOCOL

See Also:
  Constant Field Values

### SQLITE_RANGE

    public static final int SQLITE_RANGE

See Also:
  Constant Field Values

### SQLITE_READ

    public static final int SQLITE_READ

See Also:
  Constant Field Values

### SQLITE_READONLY

    public static final int SQLITE_READONLY

See Also:
  Constant Field Values

### SQLITE_ROW

    public static final int SQLITE_ROW

See Also:
  Constant Field Values

### SQLITE_SCHEMA

    public static final int SQLITE_SCHEMA

See Also:
  Constant Field Values

### SQLITE_SELECT

    public static final int SQLITE_SELECT

See Also:
  Constant Field Values

### SQLITE_STATUS_MALLOC_SIZE

    public static final int SQLITE_STATUS_MALLOC_SIZE

See Also:
  Constant Field Values

### SQLITE_STATUS_MEMORY

    public static final int SQLITE_STATUS_MEMORY

See Also:
  Constant Field Values

### SQLITE_STATUS_PAGECACHE_OVERFLOW

    public static final int SQLITE_STATUS_PAGECACHE_OVERFLOW

See Also:
  Constant Field Values

### SQLITE_STATUS_PAGECACHE_SIZE

    public static final int SQLITE_STATUS_PAGECACHE_SIZE

See Also:
  Constant Field Values

### SQLITE_STATUS_PAGECACHE_USED

    public static final int SQLITE_STATUS_PAGECACHE_USED

See Also:
  Constant Field Values

### SQLITE_STATUS_PARSER_STACK

    public static final int SQLITE_STATUS_PARSER_STACK

See Also:
  Constant Field Values

### SQLITE_STATUS_SCRATCH_OVERFLOW

    public static final int SQLITE_STATUS_SCRATCH_OVERFLOW

See Also:
  Constant Field Values

### SQLITE_STATUS_SCRATCH_SIZE

    public static final int SQLITE_STATUS_SCRATCH_SIZE

See Also:
  Constant Field Values

### SQLITE_STATUS_SCRATCH_USED

    public static final int SQLITE_STATUS_SCRATCH_USED

See Also:
  Constant Field Values

### SQLITE_STMTSTATUS_AUTOINDEX

    public static final int SQLITE_STMTSTATUS_AUTOINDEX

See Also:
  Constant Field Values

### SQLITE_STMTSTATUS_FULLSCAN_STEP

    public static final int SQLITE_STMTSTATUS_FULLSCAN_STEP

See Also:
  Constant Field Values

### SQLITE_STMTSTATUS_SORT

    public static final int SQLITE_STMTSTATUS_SORT

See Also:
  Constant Field Values

### SQLITE_TEXT

    public static final int SQLITE_TEXT

See Also:
  Constant Field Values

### SQLITE_TOOBIG

    public static final int SQLITE_TOOBIG

See Also:
  Constant Field Values

### SQLITE_TRANSACTION

    public static final int SQLITE_TRANSACTION

See Also:
  Constant Field Values

### SQLITE_UPDATE

    public static final int SQLITE_UPDATE

See Also:
  Constant Field Values

### SQLITE2_TEXT

    public static final int SQLITE2_TEXT

See Also:
  Constant Field Values

### SQLITE3_TEXT

    public static final int SQLITE3_TEXT

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Contact: Christian Werner